<bugID>1272254<Summary>Create a search field widget</Summary><Description>A general search field widget should be created, which can be reused by all the panels.

It's features would include:
- single content search
- multiple content search
- filtering instead of searching
- search/filter options
- search suggestions
- showing number matches
- indication for no matches
- focus shortcut
- clearing the field
- go to line feature

This was first proposed at https://groups.google.com/d/msg/mozilla.dev.developer-tools/hH_VBUx_rZA/TiD3gY0rIwAJ.

Sebastian</Description></bugID>